API Reference

Cost Recalculation

2 endpoints· Auth: JWT or API Key
post/api/v1/console/costing/recalculate JWT API Key

Create recalculate

Request body

application/json
{
  "productId": "00000000-0000-0000-0000-000000000000",
  "inventoryItemId": "00000000-0000-0000-0000-000000000000",
  "reason": "string"
}
productId
string (uuid)
—
inventoryItemId
string (uuid)
—
reason
string
—

Responses

200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/costing/recalculate" \
  -H "Content-Type: application/json" \
  -H "X-Api-Key: <YOUR_API_KEY>" \
  -d '{
  "productId": "00000000-0000-0000-0000-000000000000",
  "inventoryItemId": "00000000-0000-0000-0000-000000000000",
  "reason": "string"
}'
Try itagainst staging · https://staging-api.panoptesos.com

Request body (JSON)

Set credentials in the “Authorize” menu
post/api/v1/console/costing/recalculate/products/{productId} JWT API Key

Create productId

Path parameters

productIdrequired
string (uuid)
—

Query parameters

reason
string
—

Responses

200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/costing/recalculate/products/{productId}" \
  -H "X-Api-Key: <YOUR_API_KEY>"
Try itagainst staging · https://staging-api.panoptesos.com

Path parameters

Query parameters

Set credentials in the “Authorize” menu